import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconKey as IconKeyClass } from "../../../../components/icon/icons/key.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconKey = (props) => {
  IconKeyClass.define();
  const JSXElement = getReactComponent("gds-icon-key");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconKey.displayName = "IconKey";
export {
  IconKey
};
